import React from 'react';
import { URLs } from "../../__data__/urls";
import ActionButton from "./ActionButton.jsx";

const AccountButtons = (props) => {
  return (
      <div className="account-buttons">
          {props.registered ? (
              <>
                  <ActionButton title={"Exit"} action={props.exitHandler}/>
                  <ActionButton title={"Change Name"} action={props.changeNameHandler}/>
                  <ActionButton title={"Change Pass"} action={props.changePassHandler}/>
              </>
          ) : null}
          <a className="MyButton mclaren-regular" href={URLs.home.url}>Back</a>
      </div>
  );
};

export default AccountButtons;
