import React from "react";
import HomeTitle from "../components/home/HomeTitle.jsx";
import ChatsList from "../components/home/ChatsList.jsx";
import Header from "../components/home/Header.jsx";

const Home = () => {

    // temp for testing
    const chats = [
        {
            name: "Alice Johnson",
            id: 123456,
            lastMessage: "See you later!"
        },
        {
            name: "Bob Smith",
            id: 654321,
            lastMessage: "Got it, thanks!"
        },
        {
            name: "Charlie Brown",
            id: 234567,
            lastMessage: "How's the project going? How's the project going? How's the project going?" +
                "How's the project going? How's the project going?"
        },
        {
            name: "David Clark",
            id: 765432,
            lastMessage: "I'll send the files."
        },
        {
            name: "Eve Adams",
            id: 345678,
            lastMessage: "Let's meet tomorrow."
        },
        {
            name: "Frank Wright",
            id: 876543,
            lastMessage: "Can you review this?"
        },
        {
            name: "Grace Lee",
            id: 456789,
            lastMessage: "Thanks for your help!"
        },
        {
            name: "Hannah Scott",
            id: 987654,
            lastMessage: "See you at the meeting."
        },
        {
            name: "Ian Davis",
            id: 567890,
            lastMessage: "Let me know when you're free."
        },
        {
            name: "Jill Thompson",
            id: 678901,
            lastMessage: "I'll catch up with you later."
        }
    ];

    return (
      <div className="homeWrapper">
          <div className="headerPos">
              <Header/>
          </div>

          <HomeTitle/>
          <p>Your chats</p>
          <ChatsList chats={chats} />
      </div>
  )
}

export default Home